Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 178201 - Run fails if 'Show profiling indicators during run' checkbox is switched off and project is created in folder with space
Run fails if 'Show profiling indicators during run' checkbox is switched off ...
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Remote
6.x
PC Windows XP
: P2 (vote)
: 6.x
Assigned To: Vladimir Kvashin
issues@cnd
68patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-06 07:16 UTC by soldatov
Modified: 2010-01-28 03:54 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
The patch for 6.8 (3.41 KB, patch)
2009-12-24 09:54 UTC, Vladimir Kvashin
Details | Diff
Additional fix made against release68_fixes branch (2.59 KB, patch)
2010-01-27 07:02 UTC, Vladimir Kvashin
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2009-12-06 07:16:41 UTC
Remote Host: Solaris 10 in VirtualBox
Host: Windows XP

Scenario:
- Create Fractal sample in C:/Documents and Settings/valera/My Documents/NetBeansProjects
- Select Solaris as Remote Host
- Switch off 'Show profiling indicators during run'
- Run project
==> run fails
BUILD SUCCESSFUL (total time: 875ms)

/bin/bash: line 7: /export/home/sova/.netbeans/remote/sova-Windows-x86/C/Documents and Settings/valera/My Documents/NetBeansProjects/Fractal_4/"/export/home/sova/.netbeans/remote/sova-Windows-x86/C/Documents and Settings/valera/My Documents/NetBeansProjects/Fractal_4/dist/Debug/SunStudio-Solaris-x86/fractal_4": No such file or directory
/bin/bash: line 7: exec: /export/home/sova/.netbeans/remote/sova-Windows-x86/C/Documents and Settings/valera/My Documents/NetBeansProjects/Fractal_4/"/export/home/sova/.netbeans/remote/sova-Windows-x86/C/Documents and Settings/valera/My Documents/NetBeansProjects/Fractal_4/dist/Debug/SunStudio-Solaris-x86/fractal_4": cannot execute: No such file or directory
RUN FAILED (exit value 126, total time: 281ms)

P.S. I haven't this problem if project is created in C:/tmp or 'Show profiling indicators during run' checkbox is switched on
Comment 1 Alexander Pepin 2009-12-07 04:06:10 UTC
Guys, how long we will have such bugs? Let's completely fix execution path issues.
We need to fix it by the middle of January and include the fix into 6.8.1 (6.8 patch 1).
Comment 2 Alexander Pepin 2009-12-07 04:12:39 UTC
The same problem occurs with localized path containing a space symbol.
Comment 3 Vladimir Kvashin 2009-12-24 06:01:48 UTC
fixed in cnd-main:
http://hg.netbeans.org/cnd-main/rev/9d1705241aa2
Comment 4 Vladimir Kvashin 2009-12-24 09:54:10 UTC
Note that the fix that was pushed into cnd-main is against 6.9 code; it is not applicable to 6.8
Comment 5 Vladimir Kvashin 2009-12-24 09:54:36 UTC
Created attachment 92908 [details]
The patch for 6.8
Comment 6 Quality Engineering 2009-12-27 23:38:00 UTC
Integrated into 'main-golden', will be available in build *200912280201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/9d1705241aa2
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: fixed #178201 Run fails if 'Show profiling indicators during run' checkbox is switched off and project is created in folder with space
Comment 7 Alexander Pepin 2010-01-13 06:16:42 UTC
verified in dev trunk build 201001120200
Comment 8 pgebauer 2010-01-14 05:33:43 UTC
Changes from the changeset 9d1705241aa2 depend on the changeset http://hg.netbeans.org/main/rev/767a1fc006e4 from the issue #171171 . Specifically the last hunk @@ -280,6 +244,19 @@ adds changes into the source code completely introduced by the changeset 767a1fc006e4.

Could you please specify what to do with the last hunk or provide a changeset applicable for the release68_fixes brach?
Comment 9 Vladimir Kvashin 2010-01-14 07:12:16 UTC
You are right, the fix in cnd-main isn't easy to port.
That's why I added a fix for 6.8 patch as an attachment (see comment #5)
Please use the latter one.
Comment 10 pgebauer 2010-01-14 11:28:14 UTC
Oops, I've missed that attachment. I'm sorry.

The fix has been ported into the release68_fixes repository.
http://hg.netbeans.org/release68_fixes/rev/8938dbefcee0
Comment 11 Alexander Pepin 2010-01-26 09:10:13 UTC
fix failed in patch1 candidate build 20100126

Run fails with the message:

BUILD SUCCESSFUL (total time: 2s)

/bin/bash: line 7: /export/home/tester/.netbeans/remote/splendid-Windows-x86/C/working/My Projects/Fractal_1/"/export/home/tester/.netbeans/remote/splendid-Windows-x86/C/working/My Projects/Fractal_1/dist/Debug/SunStudio-Solaris-x86/fractal_1": No such file or directory
/bin/bash: line 7: exec: /export/home/tester/.netbeans/remote/splendid-Windows-x86/C/working/My Projects/Fractal_1/"/export/home/tester/.netbeans/remote/splendid-Windows-x86/C/working/My Projects/Fractal_1/dist/Debug/SunStudio-Solaris-x86/fractal_1": cannot execute: No such file or directory
RUN FAILED (exit value 126, total time: 380ms)
Comment 12 pgebauer 2010-01-27 01:53:58 UTC
Vladimir, are you going to provide a fix? Or should I just rollback the last change and remove the issue from the 68patch1?
Comment 13 Vladimir Kvashin 2010-01-27 05:58:48 UTC
I'll attach additional fix shortly. It is already created and is now being tested by Alexander Pepin. In any case, my previous fix was correct, although incomplete. So in any case please do not roll it back. The new one will be just an addition.
Comment 14 Vladimir Kvashin 2010-01-27 07:02:56 UTC
Created attachment 93598 [details]
Additional fix made against release68_fixes branch

Here is an additional fix we discussed. Please do not rollback the initial one, just apply this one over the existent release68_fixes branch state.
Comment 15 pgebauer 2010-01-27 13:31:03 UTC
The additional fix has been ported into the release68_fixes repository.
http://hg.netbeans.org/release68_fixes/rev/308563ae33e1
Comment 16 Alexander Pepin 2010-01-28 03:54:56 UTC
The fix is verified in build 20100128


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo